OrcProto.CompressionKind (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Enum OrcProto.CompressionKind

- java.lang.Object
- - java.lang.Enum<OrcProto.CompressionKind>
  - - org.apache.orc.OrcProto.CompressionKind

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<OrcProto.CompressionKind>
  Enclosing class:
    OrcProto

      public static enum OrcProto.CompressionKind
      extends Enum<OrcProto.CompressionKind>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `orc.proto.CompressionKind`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LZ4` `LZ4 = 4;`
    `LZO` `LZO = 3;`
    `NONE` `NONE = 0;`
    `SNAPPY` `SNAPPY = 2;`
    `ZLIB` `ZLIB = 1;`
    `ZSTD` `ZSTD = 5;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LZ4_VALUE` `LZ4 = 4;`
    `static int` | `LZO_VALUE` `LZO = 3;`
    `static int` | `NONE_VALUE` `NONE = 0;`
    `static int` | `SNAPPY_VALUE` `SNAPPY = 2;`
    `static int` | `ZLIB_VALUE` `ZLIB = 1;`
    `static int` | `ZSTD_VALUE` `ZSTD = 5;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<OrcProto.CompressionKind>` | `internalGetValueMap()`
    `static OrcProto.CompressionKind` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static OrcProto.CompressionKind` | `valueOf(int value)`
    `static OrcProto.CompressionKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcProto.CompressionKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final OrcProto.CompressionKind NONE

      `NONE = 0;`

    - #### ZLIB

          public static final OrcProto.CompressionKind ZLIB

      `ZLIB = 1;`

    - #### SNAPPY

          public static final OrcProto.CompressionKind SNAPPY

      `SNAPPY = 2;`

    - #### LZO

          public static final OrcProto.CompressionKind LZO

      `LZO = 3;`

    - #### LZ4

          public static final OrcProto.CompressionKind LZ4

      `LZ4 = 4;`

    - #### ZSTD

          public static final OrcProto.CompressionKind ZSTD

      `ZSTD = 5;`

  - ### Field Detail

    - #### NONE_VALUE

          public static final int NONE_VALUE

      `NONE = 0;`
      See Also:
        Constant Field Values

    - #### ZLIB_VALUE

          public static final int ZLIB_VALUE

      `ZLIB = 1;`
      See Also:
        Constant Field Values

    - #### SNAPPY_VALUE

          public static final int SNAPPY_VALUE

      `SNAPPY = 2;`
      See Also:
        Constant Field Values

    - #### LZO_VALUE

          public static final int LZO_VALUE

      `LZO = 3;`
      See Also:
        Constant Field Values

    - #### LZ4_VALUE

          public static final int LZ4_VALUE

      `LZ4 = 4;`
      See Also:
        Constant Field Values

    - #### ZSTD_VALUE

          public static final int ZSTD_VALUE

      `ZSTD = 5;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static OrcProto.CompressionKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcProto.CompressionKind c : OrcProto.CompressionKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcProto.CompressionKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static OrcProto.CompressionKind valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<OrcProto.CompressionKind> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static OrcProto.CompressionKind valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.